:- consult('plnxt.pl').                    % zaadowanie pliku plnxt.pl
 
%% Funkcja startujca program
start :-
        nxt_open,                          % otworzenie poczenia
        thread_create(go_on_buddy, _ ,[ detached(true) ]).          % utworzenie wtku 'go_on_buddy'
 
%% Funkcja odpowiedzialna za powolny ruch robota
go_on_buddy :-
        nxt_go(200),                       % poruszanie si bardzo wolno do przodu
        sleep(1),                          % chwila przerwy, aby jedno klanicie nie zostao rozpoznane jako dwa.
        trigger_create(_, clap, escape),   % wyzwalacz majcy za zadanie sprawdzenie natenia dwiku
        trigger_create(_, touch, stop).    % wyzwalacz majcy za zadanie sprawdzenie czy nie nacinito sensora dotyku
 
%% Funkcja odpowiedzialna za ucieczk robota
escape :-
        nxt_stop,                          % zatrzymanie robota
        nxt_rotate(700, 150 + random(91)), % obrt o losowy kt z zakresu (150; 240) stopni
        nxt_go(700, 3000),                 % szybka ucieczka w stron, w ktr robot obrci si
        go_on_buddy.                       % wywoanie funkcji 'go_on_buddy'
 
 
%% Funkcja sprawdzajca, czy natenie dwiku przekracza progow warto (50 - dobrane arbitralnie)
clap :-
        nxt_sound(Value,force),
        Value > 50.
 
%% Funkcja sprawdzajca, czy nacinito sensor dotyku
touch :-
        nxt_touch(Touch, force),
        Touch = 1.
 
%% Funkcja zatrzymujca program
stop :-
        trigger_killall,                     % zabicie wszystkich wyzwalaczy
        nxt_stop,                            % zatrzymanie pracy skryptu
        nxt_close.                           % zakoczenie poczenia z NXT Mindstorms